---@enum EAssetThumbnailDisplayMode
local EAssetThumbnailDisplayMode = {
    EditorThumbnail = 0,
    FallbackImage = 1,
    EAssetThumbnailDisplayMode_MAX = 2,
}

---@enum EVPCameraRigSpawnLinearApproximationMode
local EVPCameraRigSpawnLinearApproximationMode = {
    None = 0,
    Density = 1,
    IntegrationStep = 2,
    EVPCameraRigSpawnLinearApproximationMode_MAX = 3,
}

---@enum EVPViewportTickableFlags
local EVPViewportTickableFlags = {
    Editor = 1,
    Game = 2,
    EditorPreview = 4,
    GamePreview = 8,
    EVPViewportTickableFlags_MAX = 9,
}

---@enum EVPWidgetDisplayType
local EVPWidgetDisplayType = {
    Inactive = 0,
    Viewport = 1,
    PostProcessWithBlendMaterial = 2,
    Composure = 3,
    PostProcessSceneViewExtension = 4,
    EVPWidgetDisplayType_MAX = 5,
}

